<template>
  <nav id="nav" class="navtop">
    <div class="navtop__header">
      <a href="https://arbalo.ch">
        <AnArbaloLogo />
      </a>
    </div>
    <div class="navtop__icons is-hidden-mobile">
      <TheSearchInput />
    </div>
  </nav>
</template>

<script lang="ts">
import { Component, Vue, Prop } from "vue-property-decorator";
import TheSearchInput from "@/components/TheSearchInput.vue";
import AnArbaloLogo from "@/components/AnArbaloLogo.vue";

@Component({
  components: {
    TheSearchInput,
    AnArbaloLogo
  }
})
export default class TheHeader extends Vue {}
</script>

<style lang="scss" scoped>
.navtop {
  grid-area: navtop;
  display: flex;
  align-items: center;
  justify-content: space-between;

  padding: 0 20px;

  background-color: $white;

  &__header,
  &__icons {
    display: flex;
    flex-grow: 1;
  }

  &__header {
  }

  &__icons {
    justify-content: flex-end;
  }
}

.search {
  display: none;

  @include media(">phone") {
    display: unset;
  }
}
</style>
